> ## Documentation Index
> Fetch the complete documentation index at: https://docs.steppay.kr/llms.txt
> Use this file to discover all available pages before exploring further.

# 세션 생성

> 고객 연동을 위한 세션을 생성합니다. 세션 연동을 위한 키를 리턴합니다.



## OpenAPI

````yaml /steppay_v1.json get /api/v1/session/{customerId}
openapi: 3.0.1
info:
  title: STEPPAY
  version: '1.0'
  contact:
    name: Steppay
    url: https://www.steppay.kr
    email: contact@steppay.kr
servers:
  - url: https://api.steppay.kr
    description: Generated server url
security:
  - Secret-Token: []
paths:
  /api/v1/session/{customerId}:
    get:
      tags:
        - 인증 API
      summary: 세션 생성
      description: 고객 연동을 위한 세션을 생성합니다. 세션 연동을 위한 키를 리턴합니다.
      operationId: v1_getSession
      parameters:
        - name: customerId
          in: path
          description: 고객 번호
          required: true
          schema:
            type: integer
            format: int64
      responses:
        '200':
          description: 세션 생성됨. 생성된 세션 키를 리턴함
          content:
            '*/*':
              schema:
                type: string
        '400':
          description: Bad Request
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/AccountErrorresponse'
        '403':
          description: Forbidden
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/AccountErrorresponse'
components:
  schemas:
    AccountErrorresponse:
      required:
        - errorCode
      type: object
      properties:
        traceId:
          type: string
        errorCode:
          type: string
        errorMessage:
          type: string
        details:
          $ref: '#/components/schemas/ReturnError'
    ReturnError:
      type: object
  securitySchemes:
    Secret-Token:
      type: apiKey
      in: header
      name: Secret-Token

````